Package com.ngrok.services

# Class FailoverBackends

java.lang.Object
com.ngrok.services.FailoverBackends

public class FailoverBackends extends Object
A Failover backend defines failover behavior within a list of referenced backends. Traffic is sent to the first backend in the list. If that backend is offline or no connection can be established, ngrok attempts to connect to the next backend in the list until one is successful. See also https://ngrok.com/docs/api#api-failover-backends.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `FailoverBackends.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `FailoverBackends.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `FailoverBackends.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `FailoverBackends.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `FailoverBackends.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FailoverBackends(NgrokApiClient apiClient)`
  Creates a new sub-client for FailoverBackends.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FailoverBackends.CreateCallBuilder`
  `create()`
  Create a new Failover backend See also https://ngrok.com/docs/api#api-failover-backends-create.
  `FailoverBackends.DeleteCallBuilder`
  `delete(String id)`
  Delete a Failover backend by ID.
  `FailoverBackends.GetCallBuilder`
  `get(String id)`
  Get detailed information about a Failover backend by ID See also https://ngrok.com/docs/api#api-failover-backends-get.
  `FailoverBackends.ListCallBuilder`
  `list()`
  List all Failover backends on this account See also https://ngrok.com/docs/api#api-failover-backends-list.
  `FailoverBackends.UpdateCallBuilder`
  `update(String id)`
  Update Failover backend by ID See also https://ngrok.com/docs/api#api-failover-backends-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FailoverBackends

    public FailoverBackends(NgrokApiClient apiClient)
    Creates a new sub-client for FailoverBackends.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public FailoverBackends.CreateCallBuilder create()
    Create a new Failover backend See also https://ngrok.com/docs/api#api-failover-backends-create.
    Returns:
      a call builder for this API call

  - ### delete

    public FailoverBackends.DeleteCallBuilder delete(String id)
    Delete a Failover backend by ID. See also https://ngrok.com/docs/api#api-failover-backends-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public FailoverBackends.GetCallBuilder get(String id)
    Get detailed information about a Failover backend by ID See also https://ngrok.com/docs/api#api-failover-backends-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public FailoverBackends.ListCallBuilder list()
    List all Failover backends on this account See also https://ngrok.com/docs/api#api-failover-backends-list.
    Returns:
      a call builder for this API call

  - ### update

    public FailoverBackends.UpdateCallBuilder update(String id)
    Update Failover backend by ID See also https://ngrok.com/docs/api#api-failover-backends-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call